Skip to content
Get Started

Get call forwarding for a line

GET/api/lines/{sendblue_number}/call-forwarding

Returns the current call forwarding number for a dedicated phone line.

Per-line forwarding takes priority over the company default forwarding number but is overridden by seat-level forwarding when a seat has a forwarding number set.

Priority order: seat forwarding → per-line forwarding → company default forwarding

Path ParametersExpand Collapse
sendblue_number: string
ReturnsExpand Collapse
forwarding_number: string

The number calls are forwarded to, or null if not set

sendblue_number: string

The Sendblue phone number (E.164)

Get call forwarding for a line

curl https://api.sendblue.co/api/lines/$SENDBLUE_NUMBER/call-forwarding \
    -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
    -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET"
{
  "forwarding_number": "+16692138010",
  "sendblue_number": "+12125550101"
}
Returns Examples
{
  "forwarding_number": "+16692138010",
  "sendblue_number": "+12125550101"
}